diff -rupN keepalived-1.2.7/keepalived/vrrp/vrrp_iproute.c keepalived-1.2.7-unicast/keepalived/vrrp/vrrp_iproute.c
--- keepalived-1.2.7/keepalived/vrrp/vrrp_iproute.c	2012-08-29 00:05:12.000000000 +0200
+++ keepalived-1.2.7-unicast/keepalived/vrrp/vrrp_iproute.c	2013-05-24 10:12:36.614167600 +0200
@@ -31,7 +31,7 @@
 
 /* Add/Delete IP route to/from a specific interface */
 int
-netlink_route_ipv4(ip_route *iproute, int cmd)
+netlink_route_ipv4(ip_route_t *iproute, int cmd)
 {
 	int status = 1;
 	struct {
@@ -98,7 +98,7 @@ netlink_route_ipv4(ip_route *iproute, in
 void
 netlink_rtlist_ipv4(list rt_list, int cmd)
 {
-	ip_route *iproute;
+	ip_route_t *iproute;
 	element e;
 
 	/* No routes to add */
@@ -126,7 +126,7 @@ free_iproute(void *rt_data)
 void
 dump_iproute(void *rt_data)
 {
-	ip_route *route = rt_data;
+	ip_route_t *route = rt_data;
 	char *log_msg = MALLOC(150);
 	char *tmp = MALLOC(30);
 
@@ -176,13 +176,13 @@ dump_iproute(void *rt_data)
 void
 alloc_route(list rt_list, vector_t *strvec)
 {
-	ip_route *new;
+	ip_route_t *new;
 	uint32_t ipaddr = 0;
-	interface *ifp;
+	interface_t *ifp;
 	char *str;
 	int i = 0;
 
-	new = (ip_route *) MALLOC(sizeof(ip_route));
+	new = (ip_route_t *) MALLOC(sizeof(ip_route_t));
 
 	/* FMT parse */
 	while (i < vector_size(strvec)) {
@@ -230,9 +230,9 @@ alloc_route(list rt_list, vector_t *strv
 
 /* Try to find a route in a list */
 int
-route_exist(list l, ip_route *iproute)
+route_exist(list l, ip_route_t *iproute)
 {
-	ip_route *ipr;
+	ip_route_t *ipr;
 	element e;
 
 	for (e = LIST_HEAD(l); e; ELEMENT_NEXT(e)) {
@@ -249,7 +249,7 @@ route_exist(list l, ip_route *iproute)
 void
 clear_diff_routes(list l, list n)
 {
-	ip_route *iproute;
+	ip_route_t *iproute;
 	element e;
 
 	/* No route in previous conf */
diff -rupN keepalived-1.2.7/keepalived/vrrp/vrrp_ndisc.c keepalived-1.2.7-unicast/keepalived/vrrp/vrrp_ndisc.c
--- keepalived-1.2.7/keepalived/vrrp/vrrp_ndisc.c	2012-08-13 20:50:25.000000000 +0200
+++ keepalived-1.2.7-unicast/keepalived/vrrp/vrrp_ndisc.c	2013-05-24 10:12:36.617167700 +0200
@@ -40,7 +40,7 @@ int ndisc_fd;
  *	Neighbour Advertisement sending routine.
  */
 static int
-ndisc_send_na(ip_address *ipaddress)
+ndisc_send_na(ip_address_t *ipaddress)
 {
 	struct sockaddr_ll sll;
 	int len;
@@ -116,7 +116,7 @@ ndisc_icmp6_cksum(const struct ip6hdr *i
  *	new information quickly.
  */
 int
-ndisc_send_unsolicited_na(ip_address *ipaddress)
+ndisc_send_unsolicited_na(ip_address_t *ipaddress)
 {
 	struct ether_header *eth = (struct ether_header *) ndisc_buffer;
 	struct ip6hdr *ip6h = (struct ip6hdr *) ((char *)eth + ETHER_HDR_LEN);
diff -rupN keepalived-1.2.7/keepalived/vrrp/vrrp_netlink.c keepalived-1.2.7-unicast/keepalived/vrrp/vrrp_netlink.c
--- keepalived-1.2.7/keepalived/vrrp/vrrp_netlink.c	2012-08-13 20:50:25.000000000 +0200
+++ keepalived-1.2.7-unicast/keepalived/vrrp/vrrp_netlink.c	2013-05-24 10:12:36.619167800 +0200
@@ -44,12 +44,12 @@
 #include "utils.h"
 
 /* Global vars */
-struct nl_handle nl_kernel;	/* Kernel reflection channel */
-struct nl_handle nl_cmd;	/* Command channel */
+nl_handle_t nl_kernel;	/* Kernel reflection channel */
+nl_handle_t nl_cmd;	/* Command channel */
 
-/* Create a socket to netlink interface */
+/* Create a socket to netlink interface_t */
 int
-netlink_socket(struct nl_handle *nl, unsigned long groups)
+netlink_socket(nl_handle_t *nl, unsigned long groups)
 {
 	socklen_t addr_len;
 	int ret;
@@ -107,7 +107,7 @@ netlink_socket(struct nl_handle *nl, uns
 
 /* Close a netlink socket */
 int
-netlink_close(struct nl_handle *nl)
+netlink_close(nl_handle_t *nl)
 {
 	close(nl->fd);
 	return 0;
@@ -115,7 +115,7 @@ netlink_close(struct nl_handle *nl)
 
 /* Set netlink socket channel as blocking */
 int
-netlink_set_block(struct nl_handle *nl, int *flags)
+netlink_set_block(nl_handle_t *nl, int *flags)
 {
 	if ((*flags = fcntl(nl->fd, F_GETFL, 0)) < 0) {
 		log_message(LOG_INFO, "Netlink: Cannot F_GETFL socket : (%s)",
@@ -133,7 +133,7 @@ netlink_set_block(struct nl_handle *nl,
 
 /* Set netlink socket channel as non-blocking */
 int
-netlink_set_nonblock(struct nl_handle *nl, int *flags)
+netlink_set_nonblock(nl_handle_t *nl, int *flags)
 {
 	*flags |= O_NONBLOCK;
 	if (fcntl(nl->fd, F_SETFL, *flags) < 0) {
@@ -240,7 +240,7 @@ netlink_scope_a2n(char *scope)
 /* Our netlink parser */
 static int
 netlink_parse_info(int (*filter) (struct sockaddr_nl *, struct nlmsghdr *),
-		   struct nl_handle *nl, struct nlmsghdr *n)
+		   nl_handle_t *nl, struct nlmsghdr *n)
 {
 	int status;
 	int ret = 0;
@@ -354,7 +354,7 @@ netlink_talk_filter(struct sockaddr_nl *
 
 /* send message to netlink kernel socket, then receive response */
 int
-netlink_talk(struct nl_handle *nl, struct nlmsghdr *n)
+netlink_talk(nl_handle_t *nl, struct nlmsghdr *n)
 {
 	int status;
 	int ret, flags;
@@ -394,7 +394,7 @@ netlink_talk(struct nl_handle *nl, struc
 
 /* Fetch a specific type information from netlink kernel */
 static int
-netlink_request(struct nl_handle *nl, int family, int type)
+netlink_request(nl_handle_t *nl, int family, int type)
 {
 	int status;
 	struct sockaddr_nl snl;
@@ -430,7 +430,7 @@ netlink_if_link_filter(struct sockaddr_n
 {
 	struct ifinfomsg *ifi;
 	struct rtattr *tb[IFLA_MAX + 1];
-	interface *ifp;
+	interface_t *ifp;
 	int i, len;
 	char *name;
 
@@ -460,7 +460,7 @@ netlink_if_link_filter(struct sockaddr_n
 		return 0;
 
 	/* Fill the interface structure */
-	ifp = (interface *) MALLOC(sizeof (interface));
+	ifp = (interface_t *) MALLOC(sizeof(interface_t));
 	memcpy(ifp->ifname, name, strlen(name));
 	ifp->ifindex = ifi->ifi_index;
 	ifp->flags = ifi->ifi_flags;
@@ -487,7 +487,7 @@ netlink_if_link_filter(struct sockaddr_n
 		}
 	}
 
-	/* Queue this new interface */
+	/* Queue this new interface_t */
 	if_add_queue(ifp);
 	return 0;
 }
@@ -502,7 +502,7 @@ netlink_if_address_filter(struct sockadd
 {
 	struct ifaddrmsg *ifa;
 	struct rtattr *tb[IFA_MAX + 1];
-	interface *ifp;
+	interface_t *ifp;
 	int len;
 	void *addr;
 
@@ -522,7 +522,7 @@ netlink_if_address_filter(struct sockadd
 	memset(tb, 0, sizeof (tb));
 	parse_rtattr(tb, IFA_MAX, IFA_RTA(ifa), len);
 
-	/* Fetch interface */
+	/* Fetch interface_t */
 	ifp = if_get_by_ifindex(ifa->ifa_index);
 	if (!ifp)
 		return 0;
@@ -558,7 +558,7 @@ netlink_if_address_filter(struct sockadd
 int
 netlink_interface_lookup(void)
 {
-	struct nl_handle nlh;
+	nl_handle_t nlh;
 	int status = 0;
 	int ret, flags;
 
@@ -587,7 +587,7 @@ end_int:
 static int
 netlink_address_lookup(void)
 {
-	struct nl_handle nlh;
+	nl_handle_t nlh;
 	int status = 0;
 	int ret, flags;
 
@@ -625,7 +625,7 @@ netlink_reflect_filter(struct sockaddr_n
 {
 	struct ifinfomsg *ifi;
 	struct rtattr *tb[IFLA_MAX + 1];
-	interface *ifp;
+	interface_t *ifp;
 	int len;
 
 	ifi = NLMSG_DATA(h);
@@ -646,7 +646,7 @@ netlink_reflect_filter(struct sockaddr_n
 	if (ifi->ifi_type == ARPHRD_LOOPBACK)
 		return 0;
 
-	/* find the interface */
+	/* find the interface_t */
 	ifp = if_get_by_ifindex(ifi->ifi_index);
 	if (!ifp)
 		return -1;
diff -rupN keepalived-1.2.7/keepalived/vrrp/vrrp_notify.c keepalived-1.2.7-unicast/keepalived/vrrp/vrrp_notify.c
--- keepalived-1.2.7/keepalived/vrrp/vrrp_notify.c	2012-08-13 20:50:25.000000000 +0200
+++ keepalived-1.2.7-unicast/keepalived/vrrp/vrrp_notify.c	2013-05-24 10:12:36.620167900 +0200
@@ -30,7 +30,7 @@
 #include "logger.h"
 
 static char *
-get_iscript(vrrp_rt * vrrp, int state)
+get_iscript(vrrp_t * vrrp, int state)
 {
 	if (!vrrp->notify_exec)
 		return NULL;
@@ -44,13 +44,13 @@ get_iscript(vrrp_rt * vrrp, int state)
 }
 
 static char *
-get_igscript(vrrp_rt * vrrp)
+get_igscript(vrrp_t * vrrp)
 {
 	return vrrp->script;
 }
 
 static char *
-get_gscript(vrrp_sgroup * vgroup, int state)
+get_gscript(vrrp_sgroup_t * vgroup, int state)
 {
 	if (!vgroup->notify_exec)
 		return NULL;
@@ -64,7 +64,7 @@ get_gscript(vrrp_sgroup * vgroup, int st
 }
 
 static char *
-get_ggscript(vrrp_sgroup * vgroup)
+get_ggscript(vrrp_sgroup_t * vgroup)
 {
 	return vgroup->script;
 }
@@ -166,7 +166,7 @@ notify_script_exec(char* script, char *t
 }
 
 int
-notify_instance_exec(vrrp_rt * vrrp, int state)
+notify_instance_exec(vrrp_t * vrrp, int state)
 {
 	char *script = get_iscript(vrrp, state);
 	char *gscript = get_igscript(vrrp);
@@ -189,7 +189,7 @@ notify_instance_exec(vrrp_rt * vrrp, int
 }
 
 int
-notify_group_exec(vrrp_sgroup * vgroup, int state)
+notify_group_exec(vrrp_sgroup_t * vgroup, int state)
 {
 	char *script = get_gscript(vgroup, state);
 	char *gscript = get_ggscript(vgroup);
diff -rupN keepalived-1.2.7/keepalived/vrrp/vrrp_parser.c keepalived-1.2.7-unicast/keepalived/vrrp/vrrp_parser.c
--- keepalived-1.2.7/keepalived/vrrp/vrrp_parser.c	2012-08-29 00:05:12.000000000 +0200
+++ keepalived-1.2.7-unicast/keepalived/vrrp/vrrp_parser.c	2013-05-24 10:12:36.622168000 +0200
@@ -58,47 +58,47 @@ vrrp_sync_group_handler(vector_t *strvec
 static void
 vrrp_group_handler(vector_t *strvec)
 {
-	vrrp_sgroup *vgroup = LIST_TAIL_DATA(vrrp_data->vrrp_sync_group);
+	vrrp_sgroup_t *vgroup = LIST_TAIL_DATA(vrrp_data->vrrp_sync_group);
 	vgroup->iname = read_value_block();
 }
 static void
 vrrp_gnotify_backup_handler(vector_t *strvec)
 {
-	vrrp_sgroup *vgroup = LIST_TAIL_DATA(vrrp_data->vrrp_sync_group);
+	vrrp_sgroup_t *vgroup = LIST_TAIL_DATA(vrrp_data->vrrp_sync_group);
 	vgroup->script_backup = set_value(strvec);
 	vgroup->notify_exec = 1;
 }
 static void
 vrrp_gnotify_master_handler(vector_t *strvec)
 {
-	vrrp_sgroup *vgroup = LIST_TAIL_DATA(vrrp_data->vrrp_sync_group);
+	vrrp_sgroup_t *vgroup = LIST_TAIL_DATA(vrrp_data->vrrp_sync_group);
 	vgroup->script_master = set_value(strvec);
 	vgroup->notify_exec = 1;
 }
 static void
 vrrp_gnotify_fault_handler(vector_t *strvec)
 {
-	vrrp_sgroup *vgroup = LIST_TAIL_DATA(vrrp_data->vrrp_sync_group);
+	vrrp_sgroup_t *vgroup = LIST_TAIL_DATA(vrrp_data->vrrp_sync_group);
 	vgroup->script_fault = set_value(strvec);
 	vgroup->notify_exec = 1;
 }
 static void
 vrrp_gnotify_handler(vector_t *strvec)
 {
-	vrrp_sgroup *vgroup = LIST_TAIL_DATA(vrrp_data->vrrp_sync_group);
+	vrrp_sgroup_t *vgroup = LIST_TAIL_DATA(vrrp_data->vrrp_sync_group);
 	vgroup->script = set_value(strvec);
 	vgroup->notify_exec = 1;
 }
 static void
 vrrp_gsmtp_handler(vector_t *strvec)
 {
-	vrrp_sgroup *vgroup = LIST_TAIL_DATA(vrrp_data->vrrp_sync_group);
+	vrrp_sgroup_t *vgroup = LIST_TAIL_DATA(vrrp_data->vrrp_sync_group);
 	vgroup->smtp_alert = 1;
 }
 static void
 vrrp_gglobal_tracking_handler(vector_t *strvec)
 {
-	vrrp_sgroup *vgroup = LIST_TAIL_DATA(vrrp_data->vrrp_sync_group);
+	vrrp_sgroup_t *vgroup = LIST_TAIL_DATA(vrrp_data->vrrp_sync_group);
 	vgroup->global_tracking = 1;
 }
 static void
@@ -109,7 +109,7 @@ vrrp_handler(vector_t *strvec)
 static void
 vrrp_vmac_handler(vector_t *strvec)
 {
-	vrrp_rt *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
+	vrrp_t *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
 	vrrp->vmac = 1;
 	if (!vrrp->mcast_saddr)
 		vrrp->mcast_saddr  = IF_ADDR(vrrp->ifp);
@@ -131,7 +131,7 @@ vrrp_vmac_handler(vector_t *strvec)
 static void
 vrrp_native_ipv6_handler(vector_t *strvec)
 {
-	vrrp_rt *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
+	vrrp_t *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
 	vrrp->family = AF_INET6;
 
 	if (vrrp->auth_type != VRRP_AUTH_NONE)
@@ -141,8 +141,8 @@ static void
 vrrp_state_handler(vector_t *strvec)
 {
 	char *str = vector_slot(strvec, 1);
-	vrrp_rt *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
-	vrrp_sgroup *vgroup = vrrp->sync;
+	vrrp_t *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
+	vrrp_sgroup_t *vgroup = vrrp->sync;
 
 	if (!strcmp(str, "MASTER")) {
 		vrrp->wantstate = VRRP_STATE_MAST;
@@ -156,7 +156,7 @@ vrrp_state_handler(vector_t *strvec)
 static void
 vrrp_int_handler(vector_t *strvec)
 {
-	vrrp_rt *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
+	vrrp_t *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
 	char *name = vector_slot(strvec, 1);
 	vrrp->ifp = if_get_by_ifname(name);
 	if (vrrp->vmac && !(vrrp->vmac & 2))
@@ -175,19 +175,19 @@ vrrp_track_scr_handler(vector_t *strvec)
 static void
 vrrp_dont_track_handler(vector_t *strvec)
 {
-	vrrp_rt *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
+	vrrp_t *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
 	vrrp->dont_track_primary = 1;
 }
 static void
 vrrp_mcastip_handler(vector_t *strvec)
 {
-	vrrp_rt *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
+	vrrp_t *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
 	inet_ston(vector_slot(strvec, 1), &vrrp->mcast_saddr);
 }
 static void
 vrrp_vrid_handler(vector_t *strvec)
 {
-	vrrp_rt *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
+	vrrp_t *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
 	vrrp->vrid = atoi(vector_slot(strvec, 1));
 
 	if (VRRP_IS_BAD_VID(vrrp->vrid)) {
@@ -208,7 +208,7 @@ vrrp_vrid_handler(vector_t *strvec)
 static void
 vrrp_prio_handler(vector_t *strvec)
 {
-	vrrp_rt *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
+	vrrp_t *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
 	vrrp->effective_priority = vrrp->base_priority = atoi(vector_slot(strvec, 1));
 
 	if (VRRP_IS_BAD_PRIORITY(vrrp->base_priority)) {
@@ -223,7 +223,7 @@ vrrp_prio_handler(vector_t *strvec)
 static void
 vrrp_adv_handler(vector_t *strvec)
 {
-	vrrp_rt *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
+	vrrp_t *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
 	vrrp->adver_int = atoi(vector_slot(strvec, 1));
 
 	if (VRRP_IS_BAD_ADVERT_INT(vrrp->adver_int)) {
@@ -238,7 +238,7 @@ vrrp_adv_handler(vector_t *strvec)
 static void
 vrrp_debug_handler(vector_t *strvec)
 {
-	vrrp_rt *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
+	vrrp_t *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
 	vrrp->debug = atoi(vector_slot(strvec, 1));
 
 	if (VRRP_IS_BAD_DEBUG_INT(vrrp->debug)) {
@@ -250,19 +250,19 @@ vrrp_debug_handler(vector_t *strvec)
 static void
 vrrp_nopreempt_handler(vector_t *strvec)
 {
-	vrrp_rt *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
+	vrrp_t *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
 	vrrp->nopreempt = 1;
 }
 static void	/* backwards compatibility */
 vrrp_preempt_handler(vector_t *strvec)
 {
-	vrrp_rt *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
+	vrrp_t *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
 	vrrp->nopreempt = 0;
 }
 static void
 vrrp_preempt_delay_handler(vector_t *strvec)
 {
-	vrrp_rt *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
+	vrrp_t *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
 	vrrp->preempt_delay = atoi(vector_slot(strvec, 1));
 
 	if (VRRP_IS_BAD_PREEMPT_DELAY(vrrp->preempt_delay)) {
@@ -277,54 +277,54 @@ vrrp_preempt_delay_handler(vector_t *str
 static void
 vrrp_notify_backup_handler(vector_t *strvec)
 {
-	vrrp_rt *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
+	vrrp_t *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
 	vrrp->script_backup = set_value(strvec);
 	vrrp->notify_exec = 1;
 }
 static void
 vrrp_notify_master_handler(vector_t *strvec)
 {
-	vrrp_rt *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
+	vrrp_t *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
 	vrrp->script_master = set_value(strvec);
 	vrrp->notify_exec = 1;
 }
 static void
 vrrp_notify_fault_handler(vector_t *strvec)
 {
-	vrrp_rt *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
+	vrrp_t *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
 	vrrp->script_fault = set_value(strvec);
 	vrrp->notify_exec = 1;
 }
 static void
 vrrp_notify_stop_handler(vector_t *strvec)
 {
-	vrrp_rt *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
+	vrrp_t *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
 	vrrp->script_stop = set_value(strvec);
 	vrrp->notify_exec = 1;
 }
 static void
 vrrp_notify_handler(vector_t *strvec)
 {
-	vrrp_rt *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
+	vrrp_t *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
 	vrrp->script = set_value(strvec);
 	vrrp->notify_exec = 1;
 }
 static void
 vrrp_smtp_handler(vector_t *strvec)
 {
-	vrrp_rt *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
+	vrrp_t *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
 	vrrp->smtp_alert = 1;
 }
 static void
 vrrp_lvs_syncd_handler(vector_t *strvec)
 {
-	vrrp_rt *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
+	vrrp_t *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
 	vrrp->lvs_syncd_if = set_value(strvec);
 }
 static void
 vrrp_garp_delay_handler(vector_t *strvec)
 {
-	vrrp_rt *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
+	vrrp_t *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
 	vrrp->garp_delay = atoi(vector_slot(strvec, 1)) * TIMER_HZ;
 	if (vrrp->garp_delay < TIMER_HZ)
 		vrrp->garp_delay = TIMER_HZ;
@@ -332,7 +332,7 @@ vrrp_garp_delay_handler(vector_t *strvec
 static void
 vrrp_auth_type_handler(vector_t *strvec)
 {
-	vrrp_rt *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
+	vrrp_t *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
 	char *str = vector_slot(strvec, 1);
 
 	if (!strcmp(str, "AH") && vrrp->family == AF_INET)
@@ -343,7 +343,7 @@ vrrp_auth_type_handler(vector_t *strvec)
 static void
 vrrp_auth_pass_handler(vector_t *strvec)
 {
-	vrrp_rt *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
+	vrrp_t *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
 	char *str = vector_slot(strvec, 1);
 	int max_size = sizeof (vrrp->auth_data);
 	int str_len = strlen(str);
@@ -360,7 +360,7 @@ vrrp_auth_pass_handler(vector_t *strvec)
 static void
 vrrp_vip_handler(vector_t *strvec)
 {
-	vrrp_rt *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
+	vrrp_t *vrrp = LIST_TAIL_DATA(vrrp_data->vrrp);
 	char *buf;
 	char *str = NULL;
 	vector_t *vec = NULL;
@@ -414,13 +414,13 @@ vrrp_script_handler(vector_t *strvec)
 static void
 vrrp_vscript_script_handler(vector_t *strvec)
 {
-	vrrp_script *vscript = LIST_TAIL_DATA(vrrp_data->vrrp_script);
+	vrrp_script_t *vscript = LIST_TAIL_DATA(vrrp_data->vrrp_script);
 	vscript->script = set_value(strvec);
 }
 static void
 vrrp_vscript_interval_handler(vector_t *strvec)
 {
-	vrrp_script *vscript = LIST_TAIL_DATA(vrrp_data->vrrp_script);
+	vrrp_script_t *vscript = LIST_TAIL_DATA(vrrp_data->vrrp_script);
 	vscript->interval = atoi(vector_slot(strvec, 1)) * TIMER_HZ;
 	if (vscript->interval < TIMER_HZ)
 		vscript->interval = TIMER_HZ;
@@ -428,7 +428,7 @@ vrrp_vscript_interval_handler(vector_t *
 static void
 vrrp_vscript_timeout_handler(vector_t *strvec)
 {
-	vrrp_script *vscript = LIST_TAIL_DATA(vrrp_data->vrrp_script);
+	vrrp_script_t *vscript = LIST_TAIL_DATA(vrrp_data->vrrp_script);
 	vscript->timeout = atoi(vector_slot(strvec, 1)) * TIMER_HZ;
 	if (vscript->timeout < TIMER_HZ)
 		vscript->timeout = TIMER_HZ;
@@ -436,13 +436,13 @@ vrrp_vscript_timeout_handler(vector_t *s
 static void
 vrrp_vscript_weight_handler(vector_t *strvec)
 {
-	vrrp_script *vscript = LIST_TAIL_DATA(vrrp_data->vrrp_script);
+	vrrp_script_t *vscript = LIST_TAIL_DATA(vrrp_data->vrrp_script);
 	vscript->weight = atoi(vector_slot(strvec, 1));
 }
 static void
 vrrp_vscript_rise_handler(vector_t *strvec)
 {
-	vrrp_script *vscript = LIST_TAIL_DATA(vrrp_data->vrrp_script);
+	vrrp_script_t *vscript = LIST_TAIL_DATA(vrrp_data->vrrp_script);
 	vscript->rise = atoi(vector_slot(strvec, 1));
 	if (vscript->rise < 1)
 		vscript->rise = 1;
@@ -450,7 +450,7 @@ vrrp_vscript_rise_handler(vector_t *strv
 static void
 vrrp_vscript_fall_handler(vector_t *strvec)
 {
-	vrrp_script *vscript = LIST_TAIL_DATA(vrrp_data->vrrp_script);
+	vrrp_script_t *vscript = LIST_TAIL_DATA(vrrp_data->vrrp_script);
 	vscript->fall = atoi(vector_slot(strvec, 1));
 	if (vscript->fall < 1)
 		vscript->fall = 1;
diff -rupN keepalived-1.2.7/keepalived/vrrp/vrrp_scheduler.c keepalived-1.2.7-unicast/keepalived/vrrp/vrrp_scheduler.c
--- keepalived-1.2.7/keepalived/vrrp/vrrp_scheduler.c	2012-08-29 01:18:29.000000000 +0200
+++ keepalived-1.2.7-unicast/keepalived/vrrp/vrrp_scheduler.c	2013-05-24 10:12:36.624168100 +0200
@@ -65,14 +65,14 @@
  *     |               |<----------------------|               |
  *     +---------------+                       +---------------+
  */
-static void vrrp_backup(vrrp_rt *, char *, int);
-static void vrrp_leave_master(vrrp_rt *, char *, int);
-static void vrrp_leave_fault(vrrp_rt *, char *, int);
-static void vrrp_become_master(vrrp_rt *, char *, int);
-
-static void vrrp_goto_master(vrrp_rt *);
-static void vrrp_master(vrrp_rt *);
-static void vrrp_fault(vrrp_rt *);
+static void vrrp_backup(vrrp_t *, char *, int);
+static void vrrp_leave_master(vrrp_t *, char *, int);
+static void vrrp_leave_fault(vrrp_t *, char *, int);
+static void vrrp_become_master(vrrp_t *, char *, int);
+
+static void vrrp_goto_master(vrrp_t *);
+static void vrrp_master(vrrp_t *);
+static void vrrp_fault(vrrp_t *);
 
 static int vrrp_update_priority(thread_t * thread);
 static int vrrp_script_child_timeout_thread(thread_t * thread);
@@ -80,8 +80,8 @@ static int vrrp_script_child_thread(thre
 static int vrrp_script_thread(thread_t * thread);
 
 struct {
-	void (*read) (vrrp_rt *, char *, int);
-	void (*read_to) (vrrp_rt *);
+	void (*read) (vrrp_t *, char *, int);
+	void (*read_to) (vrrp_t *);
 } VRRP_FSM[VRRP_MAX_FSM_STATE + 1] =
 {
 /*    Stream Read Handlers      |    Stream Read_to handlers   *
@@ -131,7 +131,7 @@ struct {
  *            synced to FAULT state.
  */
 struct {
-	void (*handler) (vrrp_rt *);
+	void (*handler) (vrrp_t *);
 } VRRP_TSM[VRRP_MAX_TSM_STATE + 1][VRRP_MAX_TSM_STATE + 1] =
 {
   { {NULL}, {NULL},                      {NULL},             {NULL}            },
@@ -142,7 +142,7 @@ struct {
 
 /* SMTP alert notifier */
 static void
-vrrp_smtp_notifier(vrrp_rt * vrrp)
+vrrp_smtp_notifier(vrrp_t * vrrp)
 {
 	if (vrrp->smtp_alert) {
 		if (vrrp->state == VRRP_STATE_MAST)
@@ -157,7 +157,7 @@ vrrp_smtp_notifier(vrrp_rt * vrrp)
 }
 
 /* Log interface message */
-static void vrrp_log_int_down(vrrp_rt *vrrp)
+static void vrrp_log_int_down(vrrp_t *vrrp)
 {
 	if (!IF_ISUP(vrrp->ifp))
 		log_message(LOG_INFO, "Kernel is reporting: interface %s DOWN",
@@ -166,7 +166,7 @@ static void vrrp_log_int_down(vrrp_rt *v
 		vrrp_log_tracked_down(vrrp->track_ifp);
 }
 
-static void vrrp_log_int_up(vrrp_rt *vrrp)
+static void vrrp_log_int_up(vrrp_t *vrrp)
 {
 	if (IF_ISUP(vrrp->ifp))
 		log_message(LOG_INFO, "Kernel is reporting: interface %s UP",
@@ -182,8 +182,8 @@ static void vrrp_log_int_up(vrrp_rt *vrr
 static void
 vrrp_init_state(list l)
 {
-	vrrp_rt *vrrp;
-	vrrp_sgroup *vgroup;
+	vrrp_t *vrrp;
+	vrrp_sgroup_t *vgroup;
 	element e;
 
 	for (e = LIST_HEAD(l); e; ELEMENT_NEXT(e)) {
@@ -194,8 +194,8 @@ vrrp_init_state(list l)
 		 */
 		if (vrrp->sync && !vrrp->sync->global_tracking) {
 			element e2;
-			tracked_sc *sc;
-			tracked_if *tip;
+			tracked_sc_t *sc;
+			tracked_if_t *tip;
 			int warning = 0;
 
 			if (!LIST_ISEMPTY(vrrp->track_ifp)) {
@@ -279,7 +279,7 @@ vrrp_init_state(list l)
 static void
 vrrp_init_sands(list l)
 {
-	vrrp_rt *vrrp;
+	vrrp_t *vrrp;
 	element e;
 
 	for (e = LIST_HEAD(l); e; ELEMENT_NEXT(e)) {
@@ -294,7 +294,7 @@ vrrp_init_sands(list l)
 static void
 vrrp_init_script(list l)
 {
-	vrrp_script *vscript;
+	vrrp_script_t *vscript;
 	element e;
 
 	for (e = LIST_HEAD(l); e; ELEMENT_NEXT(e)) {
@@ -316,7 +316,7 @@ vrrp_init_script(list l)
 static timeval_t
 vrrp_compute_timer(const int fd)
 {
-	vrrp_rt *vrrp;
+	vrrp_t *vrrp;
 	element e;
 	list l = &vrrp_data->vrrp_index_fd[fd%1024 + 1];
 	timeval_t timer;
@@ -349,7 +349,7 @@ vrrp_timer_fd(const int fd)
 static int
 vrrp_timer_vrid_timeout(const int fd)
 {
-	vrrp_rt *vrrp;
+	vrrp_t *vrrp;
 	element e;
 	list l = &vrrp_data->vrrp_index_fd[fd%1024 + 1];
 	timeval_t timer;
@@ -439,7 +439,7 @@ alloc_sock(sa_family_t family, list l, i
 static void
 vrrp_create_sockpool(list l)
 {
-	vrrp_rt *vrrp;
+	vrrp_t *vrrp;
 	list p = vrrp_data->vrrp;
 	element e;
 	int ifindex;
@@ -481,7 +481,7 @@ static void
 vrrp_set_fds(list l)
 {
 	sock_t *sock;
-	vrrp_rt *vrrp;
+	vrrp_t *vrrp;
 	list p = vrrp_data->vrrp;
 	element e_sock;
 	element e_vrrp;
@@ -544,22 +544,22 @@ vrrp_dispatcher_init(thread_t * thread)
 }
 
 void
-vrrp_dispatcher_release(vrrp_conf_data *conf_data)
+vrrp_dispatcher_release(vrrp_data_t *data)
 {
-	free_list(conf_data->vrrp_socket_pool);
+	free_list(data->vrrp_socket_pool);
 }
 
 static void
-vrrp_backup(vrrp_rt * vrrp, char *buffer, int len)
+vrrp_backup(vrrp_t * vrrp, char *buffer, int len)
 {
 	struct iphdr *iph;
-	ipsec_ah *ah;
+	ipsec_ah_t *ah;
 
 	if (vrrp->family == AF_INET) {
 		iph = (struct iphdr *) buffer;
 
 		if (iph->protocol == IPPROTO_IPSEC_AH) {
-			ah = (ipsec_ah *) (buffer + sizeof (struct iphdr));
+			ah = (ipsec_ah_t *) (buffer + sizeof (struct iphdr));
 			if (ntohl(ah->seq_number) >= vrrp->ipsecah_counter->seq_number)
 				vrrp->ipsecah_counter->cycle = 0;
 		}
@@ -569,10 +569,10 @@ vrrp_backup(vrrp_rt * vrrp, char *buffer
 }
 
 static void
-vrrp_become_master(vrrp_rt * vrrp, char *buffer, int len)
+vrrp_become_master(vrrp_t * vrrp, char *buffer, int len)
 {
 	struct iphdr *iph;
-	ipsec_ah *ah;
+	ipsec_ah_t *ah;
 
 	if (vrrp->family == AF_INET) {
 		iph = (struct iphdr *) buffer;
@@ -584,7 +584,7 @@ vrrp_become_master(vrrp_rt * vrrp, char
 		if (iph->protocol == IPPROTO_IPSEC_AH) {
 			log_message(LOG_INFO, "VRRP_Instance(%s) IPSEC-AH : seq_num sync",
 			       vrrp->iname);
-			ah = (ipsec_ah *) (buffer + sizeof (struct iphdr));
+			ah = (ipsec_ah_t *) (buffer + sizeof (struct iphdr));
 			vrrp->ipsecah_counter->seq_number = ntohl(ah->seq_number) + 1;
 			vrrp->ipsecah_counter->cycle = 0;
 		}
@@ -596,7 +596,7 @@ vrrp_become_master(vrrp_rt * vrrp, char
 }
 
 static void
-vrrp_leave_master(vrrp_rt * vrrp, char *buffer, int len)
+vrrp_leave_master(vrrp_t * vrrp, char *buffer, int len)
 {
 	if (!VRRP_ISUP(vrrp)) {
 		vrrp_log_int_down(vrrp);
@@ -609,7 +609,7 @@ vrrp_leave_master(vrrp_rt * vrrp, char *
 }
 
 static void
-vrrp_ah_sync(vrrp_rt *vrrp)
+vrrp_ah_sync(vrrp_t *vrrp)
 {
 	/*
 	 * Transition to BACKUP state for AH
@@ -622,7 +622,7 @@ vrrp_ah_sync(vrrp_rt *vrrp)
 }
 
 static void
-vrrp_leave_fault(vrrp_rt * vrrp, char *buffer, int len)
+vrrp_leave_fault(vrrp_t * vrrp, char *buffer, int len)
 {
 	if (!VRRP_ISUP(vrrp))
 		return;
@@ -667,7 +667,7 @@ vrrp_leave_fault(vrrp_rt * vrrp, char *b
 }
 
 static void
-vrrp_goto_master(vrrp_rt * vrrp)
+vrrp_goto_master(vrrp_t * vrrp)
 {
 	if (!VRRP_ISUP(vrrp)) {
 		vrrp_log_int_down(vrrp);
@@ -698,7 +698,7 @@ vrrp_goto_master(vrrp_rt * vrrp)
 int
 vrrp_gratuitous_arp_thread(thread_t * thread)
 {
-	vrrp_rt *vrrp = THREAD_ARG(thread);
+	vrrp_t *vrrp = THREAD_ARG(thread);
 
 	/* Simply broadcast the gratuitous ARP */
 	vrrp_send_link_update(vrrp);
@@ -712,7 +712,7 @@ vrrp_gratuitous_arp_thread(thread_t * th
 static int
 vrrp_update_priority(thread_t * thread)
 {
-	vrrp_rt *vrrp = THREAD_ARG(thread);
+	vrrp_t *vrrp = THREAD_ARG(thread);
 	int prio_offset, new_prio;
 
 	/* compute prio_offset right here */
@@ -746,7 +746,7 @@ vrrp_update_priority(thread_t * thread)
 }
 
 static void
-vrrp_master(vrrp_rt * vrrp)
+vrrp_master(vrrp_t * vrrp)
 {
 	/* Check if interface we are running on is UP */
 	if (vrrp->wantstate != VRRP_STATE_GOTO_FAULT) {
@@ -789,9 +789,9 @@ vrrp_master(vrrp_rt * vrrp)
 }
 
 static void
-vrrp_fault(vrrp_rt * vrrp)
+vrrp_fault(vrrp_t * vrrp)
 {
-	vrrp_sgroup *vgroup = vrrp->sync;
+	vrrp_sgroup_t *vgroup = vrrp->sync;
 
 	if (vgroup) {
 		if (!vrrp_sync_leave_fault(vrrp))
@@ -832,7 +832,7 @@ vrrp_fault(vrrp_rt * vrrp)
 static int
 vrrp_dispatcher_read_to(int fd)
 {
-	vrrp_rt *vrrp;
+	vrrp_t *vrrp;
 	int vrid = 0;
 	int prev_state = 0;
 
@@ -864,8 +864,8 @@ vrrp_dispatcher_read_to(int fd)
 static int
 vrrp_dispatcher_read(sock_t * sock)
 {
-	vrrp_rt *vrrp;
-	vrrp_pkt *hd;
+	vrrp_t *vrrp;
+	vrrphdr_t *hd;
 	int len = 0, prev_state = 0, proto = 0;
 	uint32_t saddr;
 
@@ -937,7 +937,7 @@ vrrp_read_dispatcher_thread(thread_t * t
 static int
 vrrp_script_thread(thread_t * thread)
 {
-	vrrp_script *vscript = THREAD_ARG(thread);
+	vrrp_script_t *vscript = THREAD_ARG(thread);
 	int status, ret;
 	pid_t pid;
 
@@ -990,7 +990,7 @@ static int
 vrrp_script_child_thread(thread_t * thread)
 {
 	int wait_status;
-	vrrp_script *vscript = THREAD_ARG(thread);
+	vrrp_script_t *vscript = THREAD_ARG(thread);
 
 	if (thread->type == THREAD_CHILD_TIMEOUT) {
 		pid_t pid;
